import type { _SKPhysicsBody } from "./SKPhysicsBody.js";
import type { _SKPhysicsJoint } from "./SKPhysicsJoint.js";
import type { CGPoint } from "../structs/CGPoint.js";
export declare class _SKPhysicsJointPin extends _SKPhysicsJoint {
    static alloc(): _SKPhysicsJointPin;
    static new(): _SKPhysicsJointPin;
    init(): _SKPhysicsJointPin;
    static jointWithBodyA$bodyB$anchor$(bodyA: _SKPhysicsBody, bodyB: _SKPhysicsBody, anchor: CGPoint): _SKPhysicsJointPin;
    shouldEnableLimits(): boolean;
    setShouldEnableLimits$(value: boolean): void;
    lowerAngleLimit(): number;
    setLowerAngleLimit$(value: number): void;
    upperAngleLimit(): number;
    setUpperAngleLimit$(value: number): void;
    frictionTorque(): number;
    setFrictionTorque$(value: number): void;
    /** in radians/sec */
    rotationSpeed(): number;
    setRotationSpeed$(value: number): void;
}
